CREATE TABLE CT_DOR_Dormitory (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FIsLeaf INT,
	FLevel INT,
	FLongNumber NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FParentID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	FDisplayName_l1 NVARCHAR ( 80 ),
	FDisplayName_l2 NVARCHAR ( 80 ),
	FDisplayName_l3 NVARCHAR ( 80 ),
	CFRoomNumber NVARCHAR ( 100 ),
	CFRoomClassification VARCHAR ( 100 ),
	CFRoomTypeID VARCHAR ( 44 ),
	CFDormitoryTypeID VARCHAR ( 44 ),
	CFOccupantsNumber INT,
	CFOccupancyCapacity INT,
	CFIsFull INT,
	CFRemarks NVARCHAR ( 255 ),
	CFState INT DEFAULT 1,
	CFIsSealUp INT DEFAULT 0,
CONSTRAINT CPK_DOR_Dormitos62 PRIMARY KEY ( FID ));
CREATE TABLE CT_OCC_Occupants (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FTreeID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	CFPersonID VARCHAR ( 44 ),
	CFPersonPositionID VARCHAR ( 44 ),
	CFPersonDormitoryT VARCHAR ( 44 ),
	CFCheckInDate DateTime,
	CFCheckOutDate DateTime,
	CFDormitoryID VARCHAR ( 44 ),
	CFRemarks NVARCHAR ( 255 ),
	CFState  INT DEFAULT 1,
CONSTRAINT CPK_OCC_Occupan9mg PRIMARY KEY ( FID ));
CREATE TABLE T_OCC_OccupantsTREE (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FIsLeaf INT,
	FLevel INT,
	FLongNumber NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FParentID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	FDisplayName_l1 NVARCHAR ( 80 ),
	FDisplayName_l2 NVARCHAR ( 80 ),
	FDisplayName_l3 NVARCHAR ( 80 ),
CONSTRAINT CPK_OCC_OccpnTRb0h PRIMARY KEY ( FID ));
CREATE TABLE CT_OTH_DormitoryType (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FTreeID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	CFState  INT DEFAULT 1,
CONSTRAINT CPK_OTH_DrmtrTI9n3 PRIMARY KEY ( FID ));
CREATE TABLE CT_OTH_PersonDormitoryType (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FTreeID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	CFState INT DEFAULT 1,
CONSTRAINT CPK_OTH_PersonDk1d PRIMARY KEY ( FID ));
CREATE TABLE CT_OTH_RoomType (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FTreeID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	CFState INT DEFAULT 1,
CONSTRAINT CPK_OTH_RoomTypv7q PRIMARY KEY ( FID ));
CREATE TABLE T_OTH_DormitoryTypeTREE (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FIsLeaf INT,
	FLevel INT,
	FLongNumber NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FParentID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	FDisplayName_l1 NVARCHAR ( 80 ),
	FDisplayName_l2 NVARCHAR ( 80 ),
	FDisplayName_l3 NVARCHAR ( 80 ),
CONSTRAINT CPK_OTH_DrmtTTRt14 PRIMARY KEY ( FID ));
CREATE TABLE T_OTH_PERSONDORMITORYTTREE (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FIsLeaf INT,
	FLevel INT,
	FLongNumber NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FParentID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	FDisplayName_l1 NVARCHAR ( 80 ),
	FDisplayName_l2 NVARCHAR ( 80 ),
	FDisplayName_l3 NVARCHAR ( 80 ),
CONSTRAINT CPK_OTH_PERSONDrbd PRIMARY KEY ( FID ));
CREATE TABLE T_OTH_RoomTypeTREE (
	FName_l1 NVARCHAR ( 255 ),
	FName_l2 NVARCHAR ( 255 ),
	FName_l3 NVARCHAR ( 255 ),
	FNumber NVARCHAR ( 80 ),
	FDescription_l1 NVARCHAR ( 255 ),
	FDescription_l2 NVARCHAR ( 255 ),
	FDescription_l3 NVARCHAR ( 255 ),
	FSimpleName NVARCHAR ( 80 ),
	FIsLeaf INT,
	FLevel INT,
	FLongNumber NVARCHAR ( 80 ),
	FID VARCHAR ( 44 ) DEFAULT '' NOT NULL,
	FCreatorID VARCHAR ( 44 ),
	FCreateTime DateTime,
	FLastUpdateUserID VARCHAR ( 44 ),
	FLastUpdateTime DateTime,
	FParentID VARCHAR ( 44 ),
	FControlUnitID VARCHAR ( 44 ) DEFAULT '11111111-1111-1111-1111-111111111111CCE7AED4',
	FDisplayName_l1 NVARCHAR ( 80 ),
	FDisplayName_l2 NVARCHAR ( 80 ),
FDisplayName_l3 NVARCHAR ( 80 ),
CONSTRAINT CPK_OTH_RmTTREEgiq PRIMARY KEY ( FID ));