package com.kingdee.eas.custom.managedormsys.importService;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.dormitorysystem.dormitory.*;
import com.kingdee.eas.custom.managedormsys.WaterPowerMeterReadingInfo;
import com.kingdee.eas.custom.managedormsys.utils.WaterPowerUtil;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.shr.base.syssetting.app.io.fileImport.BaseImportService;
import com.kingdee.shr.base.syssetting.app.io.fileImport.BaseRowInfo;
import com.kingdee.shr.base.syssetting.app.io.fileImport.ImportException;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Map;

/**
 * @author qingwu
 * @date 2025/4/22
 * @apiNote ˮÿ³
 */
public class WaterPowerMeterReadingImportService extends BaseImportService {
    @Override
    protected void verifyRow(BaseRowInfo row) throws ImportException {
        super.verifyRow(row);
        String dormNumber = row.getValueOfString("dormNumber");//䷿
        String years = row.getValueOfString("years");//
        String totalWaterTons = row.getValueOfString("totalWaterTons");//ˮܶ
        String totalElecDegrees = row.getValueOfString("totalElecDegrees");//õܶ
        Map dataMap = WaterPowerUtil.getDate(years.substring(0, years.lastIndexOf("-")));
        String previousMonth = (String) dataMap.get("previousMonth");
        try {
            Map<String, BigDecimal> waterPowerMap = WaterPowerUtil.getWaterPower(this.getContext(), previousMonth, dormNumber);
            if (waterPowerMap.size() > 0) {
                BigDecimal water = waterPowerMap.get("water");//ˮ
                BigDecimal power = waterPowerMap.get("power");//ܵ
                BigDecimal waterTons = new BigDecimal(totalWaterTons);
                BigDecimal elecDegrees = new BigDecimal(totalElecDegrees);
                //ˮܶˮۼƶܶҡ0
                //õܶۼƶܶҡ0
                if ((waterTons.compareTo(BigDecimal.ZERO) > 0 && elecDegrees.compareTo(BigDecimal.ZERO) > 0) &&
                        (elecDegrees.compareTo(power) < 0 && elecDegrees.compareTo(water) < 0)
                ) {
                    throw new ImportException("ˮܶСˮܶ");
                }
            }
            IDormitory iDormitory = DormitoryFactory.getLocalInstance(this.getContext());
            boolean exists = iDormitory.exists("where number ='" + dormNumber + "'");
            if (!exists) {
                throw new ImportException(dormNumber + "÷䲻ڣ");
            }
        } catch (Exception e) {
            e.printStackTrace();
            throw new ImportException(e);
        }
        //throw new ImportException(housePlace + roomNumber + "䲻ڣԱϢ˲ŷϢά");
    }

    @Override
    protected void beforeSubmitData(CoreBaseInfo coreBaseInfo) throws ImportException {
        Context ctx = this.getContext();
        WaterPowerMeterReadingInfo wpmrinfo = (WaterPowerMeterReadingInfo) coreBaseInfo;
        BigDecimal totalWaterTons = wpmrinfo.getTotalWaterTons();
        BigDecimal totalElecDegrees = wpmrinfo.getTotalElecDegrees();
        Date years = wpmrinfo.getYears();
        String dormNumber = wpmrinfo.getDormNumber();
        try {
            IDormitory iDormitory = DormitoryFactory.getLocalInstance(ctx);
            DormitoryCollection dormitoryCollection = iDormitory.getDormitoryCollection("where number ='" + dormNumber + "'");
            if (dormitoryCollection.size() > 0) {
                DormitoryInfo dormitoryInfo = dormitoryCollection.get(0);
                wpmrinfo.setDormitory(dormitoryInfo);
            }
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM");
            Map<String, BigDecimal> result = WaterPowerUtil.getThisMonthWaterPowerTons(ctx, formatter.format(years), dormNumber, totalWaterTons, totalElecDegrees);
            wpmrinfo.setCurMonthWater(result.get("curMonthWater"));
            wpmrinfo.setCurMonthElecDegrees(result.get("curMonthElecDegrees"));
        } catch (BOSException e) {
            throw new RuntimeException(e);
        }
        super.beforeSubmitData(coreBaseInfo);
    }
}
